# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "rebackup"
version = "1.0.0"
authors = ["Clément Nerma <clement.nerma@gmail.com>"]
description = "A backup software that only builds a list of files to backup using a powerful rule system"
keywords = ["backup", "filter"]
license = "Apache-2.0"
repository = "https://github.com/ClementNerma/ReBackup"
[package.metadata.docs.rs]
all-features = true

[[bin]]
name = "rebackup"
path = "src/bin/rebackup/main.rs"
doc = false
required-features = ["cli"]
[dependencies.atomic]
version = "0.5.0"

[dependencies.clap]
version = "3.0.0-beta.2"
optional = true

[dependencies.glob]
version = "0.3.0"
optional = true

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.thiserror]
version = "1.0.24"

[features]
cli = ["clap", "glob"]
default = ["cli"]
